"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var baseUrl = '/hbbasic';
var base = {
    // 登录
    login: baseUrl + '/user/login',
    // 判断科室是否存在对应的职能
    checkDept: baseUrl + '/org/check/dept/fun',
    // 根据 token 获取用户信息
    getUserInfoByToken: baseUrl + '/user/information',
    // 获取用户所在科室与病区
    getUserDeptList: baseUrl + '/user/dept/list',
    //修改用户密码
    setPassWord: baseUrl + '/user/password/update',
    //获取用户权限科室
    getAuthDeptList: baseUrl + '/user/auth/dept/list',
    //获取用户特殊权限列表
    getUserSpecRightList: baseUrl + '/user/special/right/list',
    //CA 登录接口
    caLogin: baseUrl + '/user/login/ca',
    //获取应用列表
    getApplist: baseUrl + '/app/list',
    //特殊权限注册
    registerSpecRight: baseUrl + '/special/right/register',
    //注册应用菜单
    registerAppMenu: baseUrl + '/app/menu/register',
    //注册应用菜单功能按钮
    registerAppMenuOper: baseUrl + '/app/menu/oper/register',
    //获取指定用户应用菜单列表
    getAppMenuList: baseUrl + '/app/menu/list',
    //获取指定用户菜单下的按钮列表
    getAppMenuOperList: baseUrl + '/app/menu/oper/list',
    // 获取用户权限应用列表
    getAppUserRightList: baseUrl + '/app/user/right/list',
    //记录用户最近访问菜单
    setVisitRecord: baseUrl + '/app/module/visit/record/save',
    //获取用户最近访问菜单列表
    getVisitRecordList: baseUrl + '/app/recent/module/list',
    //获取用户常用菜单列表
    getCommonMenuList: baseUrl + '/common/menu/list',
    //用户常用功能菜单注册
    registerCommonMenu: baseUrl + '/common/menu/register',
    //取消用户常用菜单注册
    registerCommonMenuCancel: baseUrl + '/common/menu/cancel/register',
    //用户常用菜单排序
    sortCommonMenu: baseUrl + '/common/menu/sort',
    //获取机构列表
    getOrgList: baseUrl + '/org/list',
    //根据科室或病区获取机构信息
    getInfoByDept: baseUrl + '/org/information/by/dept',
    //检查两个科室或病区是否属于同一分院
    checkOrgSame: baseUrl + '/org/check/same',
    //判断用户是否是某个病区领导（护士长）
    checkNurseUnitLeader: baseUrl + '/user/check/nursing/unit/leader',
    //判断用户是否是某个科室领导（科主任）
    checkDeptLeader: baseUrl + '/user/check/dept/leader',
    // 根据指定流水号编码获取流水号
    getSerialNum: baseUrl + '/serial/number/book/get',
    //注册流水号
    registerSerialNum: baseUrl + '/serial/number/book/register',
    //获取字典数据分页列表
    getDictDataPage: baseUrl + '/dict/data/page',
    //根据菜单类别获取菜单列表
    getAppMenuCateList: baseUrl + '/app/menu/category/list',
    //获取应用字典数据分页列表
    getAppDictDataPage: baseUrl + '/app/dict/data/page',
    //获取应用参数值列表
    getAppParamList: baseUrl + '/app/param/list',
    //根据应用菜单编码获取已注册系统参数列表
    getSystemParamList: baseUrl + '/system/param/list',
    //获取系统参数值
    getSystemParamValue: baseUrl + '/system/param/value',
    //设置系统参数
    setSystemParam: baseUrl + '/system/param/settings',
    //根据应用菜单编码获取已注册本地参数列表
    getLocalParamList: baseUrl + '/local/param/list',
    //获取本地参数值
    getLocalParamValue: baseUrl + '/local/param/value',
    //本地参数设置
    setLocalParam: baseUrl + '/local/param/settings',
    //本地参数值设置
    setLocalParamValue: baseUrl + '/local/param/value/settings',
    //获取系统参数值列表
    getSystemParamValueList: baseUrl + '/system/param/value/list',
    //客户端验证
    checkClient: baseUrl + '/client/check',
    //客户端注册
    registerClient: baseUrl + '/client/register',
    //根据客户端编码获取客户端信息
    getClientInfo: baseUrl + '/client/info',
    //获取数据验证规则列表
    getDataValidRuleList: baseUrl + '/data/validation/rule/list',
    // 获取全局唯一ID
    getUniqueKey: baseUrl + '/common/key/get',
    // 包上传注册
    packageRegister: baseUrl + '/package/register',
    // 获取机构下全部病区科室
    getDeptListByOrg: baseUrl + '/org/dept/list',
    // 获取机构下全部建筑与楼层
    getOrgBuildingList: baseUrl + '/org/building/list',
    // 获取机构或科室下的全部医生或护士
    getOrgUserList: baseUrl + '/org/user/list',
    // 获取机构Logo
    getOrgLogo: baseUrl + '/org/get/logo',
    //  更据工号获取用户信息
    getUserByCode: baseUrl + '/user/code',
    //  获取全部用户信息
    getUserList: baseUrl + '/user/list',
    //  获取用户权限科室-病区
    getUserDeptWardList: baseUrl + '/user/dept/ward/list',
    //  验证用户密码
    userVerifyPassword: baseUrl + '/user/verify/password',
    //  获取注册的医生、护士
    getUserRegisterList: baseUrl + '/user/register/list',
    //  获取用户签名图片
    getUserSign: baseUrl + '/user/get/sign',
    //  获取用户权限机构列表
    getUserAuthOrgList: baseUrl + '/user/auth/org/list',
    //  获取急诊科室
    getErDeptList: baseUrl + '/org/er/dept/list',
    //  获取医生病区
    getDoctorWard: baseUrl + '/user/doctor/ward',
    //  获取科室主任
    getDeptDirector: baseUrl + '/user/dept/director',
    //  获取诊区
    listConsultingArea: baseUrl + '/appt-std-register-type/list',
    //  获取诊室
    listConsultingRoom: baseUrl + '/appt-consulting-room/list',
    //  获取科室科目配置信息
    listDeptSubject: baseUrl + '/appt-dept-subject/list',
    //  获取班次配置
    listDuration: baseUrl + '/appt-duration/list',
    //  获取标准号类信息
    listStdRegisterType: baseUrl + '/appt-std-register-type/list',
    // 授权验证
    authorization: baseUrl + '/verify/api',
    // 退出登录
    logout: baseUrl + '/user/logout',
    // 获取科室病区-进销存专用
    deptListStore: baseUrl + '/org/dept/list/store',
    // 更据AccessKey获取token
    tokenByAccessKey: baseUrl + '/user/token',
    // 获取流水号格式
    serialNumberBookRuleList: baseUrl + '/serial/number/book/rule/list'
};
exports.default = base;
//# sourceMappingURL=base.js.map